Python is an interpreted programming language that is often, but not solely, used as a scripting language. A version of Python is included by default on all Ubuntu distributions.

learn more… | top users | synonyms

2
votes
2answers
542 views

How to use Python like Windows?

For example , I write a Python program by vim , but how can I run it ? It just show a editor program when I double tap on it .
2
votes
1answer
19 views

Problems installing Numpy in Virtualenv

I have numpy installed globally (I think via Django) but I'm trying to install it within a virtualenv. When I run pip install numpy (within my virtualenv), it gets stuck at Running setup.py ...
1
vote
1answer
3k views

How to install Visual Python?

I'm a Linux newbie but I'm determined to get my favorite applications on my laptop running Ubuntu 12.04. I just installed Cinnamon. I'm trying to install Visual Python and it requires Python 2.7. I ...
1
vote
1answer
12 views

Establishing compute node problem faced off

I am going to establish a compute node on a Ubuntu virtual machine. following these steps as written down: configure a compute node I am stuck on apt-get install nova-compute-kvm python-guestfs I ...
0
votes
0answers
18 views

How to install python-dev - without using apt-get - on ubuntu 12?

The question is pretty descriptive as it's noted. I'm at a working environment that I have not much access over. I have wget and curl, but I can't find any resources.
3
votes
1answer
147 views

Alsa problems with python2.7- Unable to open slave

I am using python's module pyaudio to process sound but ALSA returns: ALSA lib pcm_dsnoop.c:618:(snd_pcm_dsnoop_open) unable to open slave ALSA lib pcm_dmix.c:1022:(snd_pcm_dmix_open) unable to open ...
1
vote
0answers
22 views

Where to obtain ipython kernspec for Python 2.7

I'd like to work with Python 2.7 using Jupyter, but it doesn't come up as an option when I click to create a new notebook. I read that I need to install the ipython 2.7 kernspec file, but I get this ...
1
vote
1answer
14 views

Message- Cannot find installed version of python-jgango or python3-django

I'm new to Ubuntu, and I love it so far. I have been trying to install Django for a website development project. In the terminal, when I start the python interpreter and type import django ...
0
votes
2answers
34 views

How can I install chainer-cuda-deps?

I am attempting to install chainer-cude-deps. When I try to install (sudo pip install chainer-cuda-deps), I get the following error: In file included from src/cpp/cuda.cpp:1:0: ...
1
vote
1answer
27 views

launch ipython but not like root

ipython is launched like root (UID); ok, but I need that after ipython cann't run and don't allow, script/code that can gain root privilegies. eg I launch ipython, ok the UID is root. And in my ...
0
votes
1answer
3k views

AttributeError: 'module' object has no attribute

I am trying to get the depth map of two stereo images. I have taken the code from http://docs.opencv.org/trunk/doc/py_tutorials/py_calib3d/py_depthmap/py_depthmap.html I get the following error: ...
1
vote
1answer
238 views

nvidia-settings ImportError: No module named 'dbus'

I try to switch my graphics card via NVIDIA X Server Settings. However when I click on NVIDIA: Traceback (most recent call last): File "/usr/share/screen-resolution-extra/nvidia-prime.py", ...
0
votes
0answers
30 views

IDLE missing from Ubuntu

I just installed ubuntu into my 8G pendrive in a Lenovo laptop. With the terminal I could go to Python command line but it says there's 'no IDLE package.'
0
votes
1answer
43 views

Django and SQLite3 doesn't work

My problem is following, I'm starting with tutorial https://docs.djangoproject.com/en/1.8/intro/tutorial01/ , and after I type in terminal python manage.py runserver I'm getting an error: Traceback ...
0
votes
0answers
23 views

python pip broken on ubuntu

My pip is not working anymore. Here is the output for a sudo pip install pyjs : File "/usr/bin/pip", line 9, in <module> load_entry_point('pip==1.5.6', 'console_scripts', 'pip')() File ...
0
votes
0answers
36 views

Errors while installing pychemqt

@ http://sourceforge.net/projects/pychemqt/ The readme file contained in the package listed following dependencies python 2.6 qt 4.7 matplotlib 0.99 numpy 1.4.1 reportlab 2.4 freesteam 2.0 ...
25
votes
4answers
12k views

What are the packages/libraries I should install before compiling Python from source?

Once in a while I need to install a new Ubuntu (I used it both for desktop and servers) and I always forget a couple of libraries I should have installed before compiling, meaning I have to recompile, ...
0
votes
0answers
17 views

Python Script Stopping My Computer From Shutting Down Properly

I have the following line in my /etc/rc.local file. python /home/my-sickbeard-install/SickBeard.py 2>&1 >/dev/null & Since using this line, when I shutdown my computer I get an error ...
0
votes
1answer
6k views

ssl missing from Python. 'module' object has no attribute 'HTTPSConnection'

My main issue is that httplib module of python is missing HTTPSConnection. When I try to use pip to install fabric using pip it gives me this error: 'module' object has no attribute ...
0
votes
1answer
39 views

Run Python script with root privileges (not from terminal)

How can I run a Python script which, upon execution, brings up a dialog prompting the user for his root password - so that the script is run as root, being able to make changes to files within the ...
1
vote
1answer
18 views

i want install Keyboard Layout Editor on ubuntu 15.4 , but i get errors :(

when i want install Keyboard Layout Editor on ubuntu 15.5 i get some problem.... i followed this Installation guide: Keyboard Layout Editor git clone ...
1
vote
2answers
44 views

Terminal and Python relationship

How is the Terminal in Ubuntu and Python programming connected? Can we use Python to control the system in Terminal? I am a complete newbie,so please guide, I installed Ubuntu out of sheer enthusiasm ...
1
vote
1answer
49 views

System-wide text replacement similar to AutoHotKey

AutoHotKey has this text-replacement feature: ;bullet ::_bullet::• ;disapproval ::_dis::{U+0CA0}_{U+0CA0} ;lenny ::_lenny::( {U+0361}{U+00B0} {U+035C}{U+0296} {U+0361}{U+00B0} ) I am trying to ...
1
vote
1answer
23 views

Upgrade python packages with pip: use “sudo” or “--user”?

I have a question about installing/upgrading Python packages using the tool pip. I can either run sudo pip install -U PACKAGENAME or pip install -U PACKAGENAME --user What is the difference ...
2
votes
1answer
6k views

Why do I get ImportError when trying to import Pandas Python module?

I installed the Pandas module for Python 2.7 using apt-get. However, when I try to import the module, it raises an ImportError: import pandas as pd File ...
7
votes
2answers
3k views

python-nltk on Ubuntu 12.04 LTS: nltk.download('brown') results in HTML error 401

I have installed python-nltk on Ubuntu Server 12.04 using apt-get. But when I try to download a corpus, I get the following error: $ python Python 2.7.3 (default, Feb 27 2014, 19:58:35) [GCC 4.6.3] ...
5
votes
8answers
532 views

How can I delete text that is NOT in quotes or parentheses?

Input: 19. "foo foo" (bar bar) (19) raboof "foo foo" raboof Expected output: "foo foo" (bar bar) (19) "foo foo" As you can see, I would like to keep the double quotes and parentheses. ...
1
vote
1answer
19 views

Why is the python built from source is still showing the wrong version?

So I've downloaded the most recent tar from https://www.python.org/ftp/python/2.7.10/Python-2.7.10.tar.xz, untar'd, configured, built and installed to a user directory. I've also used those ...
0
votes
1answer
49 views

New line in python script creating EOL error [closed]

I'm creating a Python program for Ubuntu, and I need to write a python script into a file, but the \n in the code creates a new line in the file, it isn't copied as \n, so I get an EOL error. This is ...
3
votes
2answers
592 views

Is there a simple way to get Django 1.2.* (latest stable) installed?

I want to start developing for it. I could easy_install or pip install but I'd prefer a proper repo. Is there a PPA that's up to date?
0
votes
0answers
37 views

Dependency issues after reinstalling python

For a project I am working on, I decided to reinstall the Python libraries and includes so I did sudo apt-get remove python3.4 then sudo apt-get install python3.4. After doing this I resolved my ...
0
votes
0answers
19 views

setup error in terminal: pythonpath is empty

I am trying to install the odoo package for development here I download the zip file, unpack and cd to the directory. It contains a setup.py file so I run. sudo setup/redhat/install.sh but ...
6
votes
2answers
7k views

How does one remove applications installed through “python setup.py install”?

I have two applications that I attempted to install, but they didn't work and now I can't get rid of them. They were both installed through sudo python setup.py install so there aren't any actual ...
2
votes
1answer
37 views

Will I be able to run Java, C or Python natively in Ubuntu Phone as I would on a PC?

the Ubuntu Phone by Meizu is released tomorrow for the European audience. I've been looking around for information on it, but the only I can find are some hand on reviews, that don't answer the most ...
1
vote
1answer
27 views

Python NameError: gloabal name 'resolution' is not defined

I'm working on developing a python application for Ubuntu that enables a user to have their desired resolution without requiring graphics drivers. In order to do this I've been using xrandr. However ...
0
votes
4answers
61 views

matrix operation in bash [on hold]

the point is that I woul need to transpose a large file - 1600 times 80k but the entries are not tab delimited but just U and K so it looks like UUUUTTTUTUTUUUTUTUT TTUTUTUTUUTUTUTUTUT is there a ...
0
votes
2answers
56 views

Fatal Python error: Py_Initialize: Unable to get the locale encoding … SyntaxError: invalid syntax Aborted (core dumped)

I installed anaconda by running the bash Anaconda-2.2.0-Linux-x86_64.sh command on my Ubuntu 14.04 system , which installed successfully, after which I was asked to export my new ...
0
votes
2answers
301 views

Error when using Resynthesizer plugin in Gimp 2.8.10

I'm trying to make Resynthesizer plug-in work in Gimp 2.8.10 under Ubuntu 14.04 TLS but I get this error: Traceback (most recent call last): File "/usr/lib/gimp/2.0/python/gimpfu.py", line 699, in ...
0
votes
0answers
32 views

Adding a file to startup list using terminal

I have created a short bash script that I want to run on startup. Adding it to the startup list through the GUI is simple enough, but I need to do it through the command-line, as I plan to access the ...
0
votes
1answer
13 views

How to Extract parameters from captured beacon frame

So I was able to extract the SSID and Mac Address from the captured Beacon Frame stored in pkt. I used scapy library's sniff function to capture the beacon frame. I did this to capture the mentioned ...
1
vote
1answer
14 views

Running Google App Engine on Ubuntu 14.04.2

I recently switched from Windows 8.1 to Ubuntu so please forgive me if this is a stupid question. I'm new to all this. So I have python 2.7.6 installed and I tried to get Google App Engine working, ...
0
votes
1answer
20 views

Error while installing python

While installing python 3.4.2 am getting error like Ignoring ensurepip failure: pip 1.5.6 requires SSL/TLS on ubuntu 14.04 .slove and give me guys please
0
votes
0answers
17 views

Returning a value using Tkinter

I would like the class to return the values 1 or 0 based on the the button selection. This code gives me an error. AttributeError: option_box instance has no attribute 'option' from Tkinter import ...
1
vote
2answers
42 views

Error while sniffing packets using “SNIFF” in “SCAPY” (python)

I wanted to sniff beacon frames from the wireless network. I installed scapy and set the wlan0 to monitor mode. then in terminal, - I entered Scapy command to open scapy. Then in Scapy, I put: ...
1
vote
1answer
25 views

NLTK, installed in python 2.7 but not working in python 3.4

I just installed nltk when my default python was the 2.7 version, now when i open the python3 (3.4 version), i cant import nltk, is there any solution to this, to make nltk available for both versions ...
3
votes
2answers
53 views

How can I list connected monitor(s) with xrandr?

I'm working on developing a python application for Ubuntu that enables a user to have their desired resolution without requiring graphics drivers. In order to do this I've been using xrandr, which so ...
0
votes
0answers
14 views

Psycopg2 can't commit to a local database [closed]

I've got a postgresql database on my local machine. I'm trying to write a python script, for use on many machines, that will query system information and then store it to a database, called ...
1
vote
2answers
207 views

Why is python-pip kept back in Ubuntu 14.04?

When I upgrade these days, I get this message: $ sudo apt-get upgrade -y Reading package lists... Done Building dependency tree Reading state information... Done Calculating upgrade... Done ...
2
votes
1answer
59 views

Python applications crash with module errors

I just updated some software on my system, and now I get a bizarre error every time I try to start a program that uses Python, even though all of the dependencies on my system have been resolved ...
1
vote
2answers
928 views

installing python-central

i have the python central tar.gz file. i dont know how to install it. i unzipped it but now what? after unzipping it i run ./configure but i get a no such file or directory. Yes i am in the directory ...